/*
 * wizInterface.h
 *
 *  Created on: 2020. 5. 31.
 *      Author: eziya76@gmail.com
 */

#ifndef INC_WIZINTERFACE_H_
#define INC_WIZINTERFACE_H_

#include "main.h"
#include "wizchip_conf.h"
#include "socket.h"
#include "dhcp.h"

#include <string.h>
#include <stdbool.h>
#include <stdio.h>

#define DATA_BUF_SIZE   (16384)
#define SOCK_TCPS		0
#define DHCP_SOCKET		0	//DHCP socket 0
#define CLIENT_SOCKET	1	//TCP client socket 1

extern uint8_t gDATABUF[DATA_BUF_SIZE];

void WIZ_SPI_Select(void);
void WIZ_SPI_Deselect(void);
void WIZ_SPI_TxByte(uint8_t byte);
uint8_t WIZ_SPI_RxByte(void);
void WIZ_SPI_TxBuffer(uint8_t *buffer, uint16_t len);
void WIZ_SPI_RxBuffer(uint8_t *buffer, uint16_t len);

bool WIZ_ChipInit(void);
bool WIZ_NetworkInit(void);


void WIZ_GetNetworkInfo(void);
#endif /* INC_WIZINTERFACE_H_ */
